Y_Wang1
2022-02-16 11:21
采纳率: 100%
浏览 110

python连接调试器失败

问题遇到的现象和发生背景
问题相关代码,请勿粘贴截图

C:\Users\wangyou\PycharmProjects\03.循环\venv\Scripts\python.exe "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev\pydevd.py" --multiproc --client 127.0.0.1 --port 54939 --file C:/Users/wangyou/AppData/Local/Programs/Python/Python310/Lib/queue.py
Traceback (most recent call last):
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_cython_wrapper.py", line 8, in
from _pydevd_bundle_ext import pydevd_cython as mod
ModuleNotFoundError: No module named '_pydevd_bundle_ext'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_cython_wrapper.py", line 11, in
from _pydevd_bundle import pydevd_cython as mod
ImportError: cannot import name 'pydevd_cython' from 'pydevd_bundle' (D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle_init.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev\pydevd.py", line 55, in
from _pydevd_bundle.pydevd_trace_dispatch import (
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_trace_dispatch.py", line 55, in
from _pydevd_bundle.pydevd_cython_wrapper import trace_dispatch as _trace_dispatch, global_cache_skips, global_cache_frame_skips, fix_top_level_trace_and_get_trace_func
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_cython_wrapper.py", line 35, in
mod = getattr(import(check_name), mod_name)
File "_pydevd_bundle\pydevd_cython_win32_310_64.pyx", line 1, in init _pydevd_bundle.pydevd_cython_win32_310_64
ValueError: builtins.type size changed, may indicate binary incompatibility. Expected 888 from C header, got 880 from PyObject

运行结果及报错内容
我的解答思路和尝试过的方法
我想要达到的结果
  • 写回答
  • 好问题 提建议
  • 追加酬金
  • 关注问题
  • 邀请回答

2条回答 默认 最新

相关推荐 更多相似问题